## Abstract machine for HOcore in HOcore

Type "make TARGET=target" where target.hoc is a valid closed HOcore process to build the abstract machine for this process in HOcore. The resulting file, machine.hoc, can then be interpreted by an HOcore interpreter.

Main targets for make:
- dshoc : utility to desugarize a .shoc file. Files involved: lexer\_sugar.mll, main\_sugar.mll, parser_sugar.mly, preproc. preproc is a C-preprocessor file containing routines that are used in .shoc files.
- prepare : utility to transform a .hoc file into a \_prep.shoc target file that will be prepended to machine.shoc to build the abstract machine for the designated target. Files involved: ast\_program.ml, compiler\_program.ml, lexer\_program.mll, main\_program.ml, parser\_program.mly.
- machine.shoc : main code of the machine.

