open Lexing

module SMap = Map.Make(String)

type pvar = string
type pchannel  = string

type var = int
type channel = int

type pprog =
  | PSend of pchannel * pprog
  | PRec  of pchannel * pvar * pprog
  | PComp of pprog * pprog
  | PExe  of pvar
  | PZero

type choice =
  | Send of channel * prog
  | Recv of channel * prog
  | Var  of var

and prog = choice list
